Package com.enonic.xp.content

## Class ContentAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.exception.BaseException
        - - com.enonic.xp.exception.NotFoundException
          - - com.enonic.xp.content.ContentAlreadyExistsException

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class ContentAlreadyExistsException
      extends NotFoundException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentAlreadyExistsException​(ContentPath path)` | Deprecated.
    `ContentAlreadyExistsException​(ContentPath path, RepositoryId repositoryId, Branch branch)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Branch` | `getBranch()` |
    `String` | `getCode()` |
    `ContentPath` | `getContentPath()` |
    `RepositoryId` | `getRepositoryId()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentAlreadyExistsException

          @Deprecated
          public ContentAlreadyExistsException​(ContentPath path)

      Deprecated.

    - #### ContentAlreadyExistsException

          public ContentAlreadyExistsException​(ContentPath path,
                                               RepositoryId repositoryId,
                                               Branch branch)

  - ### Method Detail

    - #### getContentPath

          public ContentPath getContentPath()

    - #### getRepositoryId

          public RepositoryId getRepositoryId()

    - #### getBranch

          public Branch getBranch()

    - #### getCode

          public String getCode()

      Overrides:
        `getCode` in class `BaseException`